/* 
Theme Name: Valsalice Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Tema child per Valsalice
Author: Digiko Team
Author URI: https://digiko.it/
Template: hello-elementor
Version: 2.0.0
Text Domain: valsalice-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
@media (max-width: 1024px) {

  .offcanvas-container .e-off-canvas__content {
    display: flex;
    flex-direction: column;
  }

  .mobile-menu {
    height: 100%;
  }

  .mobile-menu > nav {
    position: relative;
  }

  .mobile-menu > nav ul {
    transition: all ease-in-out 0.5s;
    margin: 0;
    /*padding: 0 16px;*/ /* 8px * 2 */
  }

  .mobile-menu > nav ul .menu-item {
    position: static;
    /*border-left: 2px solid #000;*/
    margin-bottom: 2px;
    display: flex;
    gap: 8px;
    align-items: center;
  }

  .mobile-menu > nav ul .menu-item:after {
    content: url(/wp-content/uploads/2025/09/chevron-down.svg);
    transform: rotate(-90deg);
    position: absolute;
    right: 24px; /* 8px * 3 */
    pointer-events: none;
  }

  .mobile-menu > nav ul .menu-item.back-btn {
    background-color: #F2F4F8;
    border-left: 3px solid #0000FF;
    color: #000;
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    padding: 16px 24px !important; /* 8px*2 8px*3 */
    width: 100%;
  }

  .mobile-menu > nav ul .menu-item.back-btn:after {
    content: none;
  }

  .mobile-menu > nav ul .menu-item.back-btn:before {
    content: url(/wp-content/uploads/2025/09/chevron-down.svg);
    transform: rotate(90deg);
    display: block;
    height: 17px;
    margin: 0;
  }

  .mobile-menu > nav ul .menu-item a {
    margin: 0 !important;
    border-inline-start: none !important;
    padding: 16px 24px !important; /* 8px*2 8px*3 */
    width: 100%;
  }

  .mobile-menu > nav ul .menu-item .sub-menu {
    display: block !important;
    position: absolute !important;
    margin: 0 !important;
    /*padding: 0 16px;*/ /* 8px*2 */
    width: 100% !important;
    top: 0 !important;
    left: 100% !important;
    opacity: 0 !important;
    z-index: 1;
  }

  .mobile-menu > nav ul .menu-item .sub-menu.active {
    opacity: 1 !important;
    z-index: 100;
  }
	.elementor-icon.back-btn {
    font-size: 32px;
	color: #AE142D;
}
	.back-btn svg {
    fill: var(--e-global-color-primary);
}
	.e-off-canvas__content .has-submenu {
		justify-content: space-between;
	}
	.e-off-canvas__content .menu-item {
		border-bottom: 1px solid #ededed;
	}
.elementor-nav-menu--main .elementor-nav-menu--dropdown .sub-arrow i {
    transform: none;
}
}

/* CLASSIC */
.fswp-elt--read-more-main-wrapper .fswp-elt--read-more {
    margin-top: 24px;
}

/* FIX CUSTOM MENU SUBMENU POSITION */
li.e-n-menu-item:has(> #submenu-item-1), li.e-n-menu-item:has(> #submenu-item-2), li.e-n-menu-item:has(> #submenu-item-3), li.e-n-menu-item:has(> #submenu-item-4), li.e-n-menu-item:has(> #submenu-item-5) {
    position: relative;
}
#submenu-item-1 + .e-n-menu-content, #submenu-item-2 + .e-n-menu-content, #submenu-item-3 + .e-n-menu-content, #submenu-item-4 + .e-n-menu-content, #submenu-item-5 + .e-n-menu-content {
	left:0;
}

/* TAB MENU ICON */
.elementor-widget-n-tabs .e-n-tab-title .e-n-tab-icon {
    position: absolute;
    right: 8px;
}

/* CAROUSEL SWIPER */
.swiper {
	overflow: visible;
}

/* TABLE / ACCORDION ORARI */
.orari-lezioni tr, .orari-lezioni th, .orari-lezioni td {
    background-color: #fff !important;
    border: 0;
    border-bottom: 1px solid var(--e-global-color-primary);
}
.orari-lezioni th, .orari-lezioni td {
    padding: 8px 0;
}
.last-orari-programmazione td, .orari-lezioni th {
    color: var(--e-global-color-primary);
	font-weight: 600;
}
.accordion-orari .e-n-accordion-item {
    border: 1px solid var(--e-global-color-26e81d7);
    border-radius: 4px;
}
.wp-block-table td, .wp-block-table th
 {
    padding: 1em;
}
/* FILTER */
@media screen and (max-width: 768px) {
    .wpc_show_bottom_widget .wpc-filters-open-button-container {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }
}